문서로 건너뛰기
API

자동화 시작점

누군가 자동화를 만들 때 앱이 제공하는 시작점: 환영 시리즈, 체험 후속 안내, 생일 이메일, 다시 불러오기. 제품에 함께 들어 있으므로 목록은 모든 워크스페이스에서 같습니다.

GET/automations/starters

워크스페이스에 실제 호출을 실행합니다.

GET /automations/starters

누군가 자동화를 만들 때 앱이 제공하는 시작점: 환영 시리즈, 체험 후속 안내, 생일 이메일, 다시 불러오기. 제품에 함께 들어 있으므로 목록은 모든 워크스페이스에서 같습니다.

예시

automations:read가 필요합니다. 각 시작점에는 definition이 들어 있으며, 오디언스, 템플릿, 발신자는 직접 채우도록 비워 두었습니다.

curl
curl "$OE/automations/starters" -H "$AUTH"
응답
{  "object": "list",  "data": [    {      "object": "automation_starter",      "slug": "welcome-series",      "name": "Welcome series",      "description": "Greet people who join an audience, then follow up with those who did not click.",      "definition": { "trigger": { "kind": "audience_joined", "…": "…" }, "entry": "welcome", "steps": ["…"] }    }  ]}

자동화를 만들 때 slug를 starter로 넘기면 서버가 그 시작점을 복사해 줍니다.

레퍼런스